<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent" >

    <RelativeLayout
        android:id="@+id/rlside"
        android:layout_width="wrap_content"
        android:layout_height="fill_parent"
        android:layout_above="@+id/linearLayout1"
        android:layout_alignParentRight="true"
        android:layout_marginRight="40dp"
        android:layout_marginTop="40dp" >

        <ImageButton
            android:id="@+id/ibtnCapture"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true"
            android:layout_centerHorizontal="true"
            android:background="@drawable/imagebutton"
            android:padding="0dp"
            android:src="@drawable/ic_action_camera" />

        <ImageButton
            android:id="@+id/ibtnOk"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:background="@drawable/imagebutton"
            android:padding="0dp"
            android:src="@drawable/ic_action_upload"
            android:text="upload"
            android:visibility="invisible" />

        <ImageButton
            android:id="@+id/ibtnScan"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:background="@drawable/imagebutton"
            android:padding="0dp"
            android:src="@drawable/bar2"
            android:text="Scan" />
    </RelativeLayout>

    <LinearLayout
        android:id="@+id/linearLayout1"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="0dp"
        android:layout_toLeftOf="@+id/rlside" >

        <TextView
            android:id="@+id/tvPhotoCount"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom"
            android:layout_weight="1"
            android:gravity="center_horizontal"
            android:text="no photo"
            android:textAppearance="?android:attr/textAppearanceLarge" />

        <TextView
            android:id="@+id/textView1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom"
            android:layout_weight="0.1"
            android:gravity="right"
            android:text="PIID:"
            android:textAppearance="?android:attr/textAppearanceLarge" />

        <TextView
            android:id="@+id/pidval"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom"
            android:layout_weight="1"
            android:textAppearance="?android:attr/textAppearanceLarge" >
        </TextView>
    </LinearLayout>

    <ImageView
        android:id="@+id/ivThumbs"
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:layout_above="@+id/linearLayout1"
        android:layout_alignParentTop="true"
        android:layout_marginTop="45dp"
        android:layout_toLeftOf="@+id/rlside"
        android:paddingLeft="10dp"
        android:paddingRight="10dp"
        android:scaleType="fitCenter"
        android:src="@drawable/no_pic" />

    <TextView
        android:id="@+id/tvalert"
        android:layout_width="290dp"
        android:layout_height="wrap_content"
        android:layout_alignParentTop="true"
        android:layout_alignRight="@+id/rlside"
        android:layout_marginTop="5dp"
        android:ellipsize="marquee"
        android:singleLine="true"
        android:text=""
        android:textAppearance="?android:attr/textAppearanceLarge"
        android:textColor="#eeff0000" />

</RelativeLayout>